be.fgov.ehealth.bcp.protocol.v2

## Class Expiry

- java.lang.Object
- - be.fgov.ehealth.bcp.protocol.v2.Expiry

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-29T11:40:05+02:00",
                 comments="JAXB RI v2.3.7")
      public class Expiry
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="Type" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="none"/>
                   <enumeration value="ttl"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="Duration" type="{http://www.w3.org/2001/XMLSchema}duration" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Expiry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Duration` | `getDuration()` Gets the value of the duration property.
    `String` | `getType()` Gets the value of the type property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setDuration(Duration value)` Sets the value of the duration property.
    `void` | `setType(String value)` Sets the value of the type property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Expiry

          public Expiry()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDuration

          public Duration getDuration()

      Gets the value of the duration property.
      Returns:
        possible object is `Duration`

    - #### setDuration

          public void setDuration(Duration value)

      Sets the value of the duration property.
      Parameters:
        `value` - allowed object is `Duration`

Connector Packaging PERSPRACTICALNURSE 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.